# vivado.tcl
#	Simple build script
#	Version 1.0
# 
# Copyright (C) 2013 H.Poetzl

set ODIR .

# STEP#1: setup design sources and constraints

read_vhdl ../top.vhd

read_xdc ../top.xdc

set_property PART xc7z010clg400-2 [current_project]
set_property TARGET_LANGUAGE VHDL [current_project]

# STEP#2: run synthesis, write checkpoint design

synth_design -top top -flatten rebuilt    

# Quick Place and Route

place_design -directive Quick
route_design -directive Quick
start_gui
